Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2045701 - heaptrack: FTBFS in Fedora rawhide/f36
Summary: heaptrack: FTBFS in Fedora rawhide/f36
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: heaptrack
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F36FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-01-25 18:24 UTC by Fedora Release Engineering
Modified: 2023-04-15 02:03 UTC (History)
2 users (show)

Fixed In Version: heaptrack-1.4.0-1.fc36 heaptrack-1.4.0-1.fc37 heaptrack-1.4.0-1.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-08 01:29:16 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-01-25 18:24 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-01-25 18:24 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-01-25 18:24 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-01-25 18:24:38 UTC
heaptrack failed to build from source in Fedora rawhide/f36

https://koji.fedoraproject.org/koji/taskinfo?taskID=81785731


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
Please fix heaptrack at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
heaptrack will be orphaned. Before branching of Fedora 37,
heaptrack will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-01-25 18:24:41 UTC
Created attachment 1854950 [details]
build.log

Comment 2 Fedora Release Engineering 2022-01-25 18:24:42 UTC
Created attachment 1854951 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-01-25 18:24:44 UTC
Created attachment 1854952 [details]
state.log

Comment 4 Ben Cotton 2022-02-08 20:48:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 5 Fedora Update System 2023-03-30 08:51:48 UTC
FEDORA-2023-3d2dbd4a42 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-3d2dbd4a42

Comment 6 Fedora Update System 2023-03-30 08:51:56 UTC
FEDORA-2023-c3d1890550 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c3d1890550

Comment 7 Fedora Update System 2023-03-30 08:52:05 UTC
FEDORA-2023-d60ffe2322 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d60ffe2322

Comment 8 Fedora Update System 2023-03-31 01:29:50 UTC
FEDORA-2023-d60ffe2322 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d60ffe2322`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d60ffe2322

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-03-31 01:46:04 UTC
FEDORA-2023-c3d1890550 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c3d1890550

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-03-31 02:43:38 UTC
FEDORA-2023-3d2dbd4a42 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-3d2dbd4a42`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-3d2dbd4a42

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-04-08 01:29:16 UTC
FEDORA-2023-3d2dbd4a42 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-04-08 02:36:11 UTC
FEDORA-2023-d60ffe2322 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2023-04-15 02:03:33 UTC
FEDORA-2023-c3d1890550 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.